# (c) 2004 Andreas Krennmair
# $Id: linklist.rb,v 1.2 2004/03/27 17:41:43 ak Exp $

class LinkListManager

  def initialize(file)
    @linklist = []
    f = File.new(file)
    f.each_line do |l|
      l.chomp!
      x = l.split(" ")
      url = x.shift
      name = x.join(" ")
      @linklist << [ url, name ]
    end
  end

  def add_node_to_template(tmpl,nodename)
    @linklist.each do |e|
      tmpl.node(nodename).param({ 'url' => e[0], 'name' => e[1] })
    end
  end

end
